# Uses of Interface
org.astrogrid.samp.hub.ClientSet

Packages that use ClientSet
Package
Description
org.astrogrid.samp.gui
Classes required only for graphical components based on SAMP classes.
org.astrogrid.samp.hub
Classes required only for running a SAMP hub.

## Uses of ClientSet in org.astrogrid.samp.gui

Methods in org.astrogrid.samp.gui that return ClientSet
Modifier and Type
Method
Description
`protected ClientSet`
GuiHubService.`createClientSet()`
`ClientSet`
MessageTrackerHubService.`createClientSet()`

## Uses of ClientSet in org.astrogrid.samp.hub

Classes in org.astrogrid.samp.hub that implement ClientSet
Modifier and Type
Class
Description
`class`
`BasicClientSet`
Basic ClientSet implementation.
Methods in org.astrogrid.samp.hub that return ClientSet
Modifier and Type
Method
Description
`protected ClientSet`
BasicHubService.`createClientSet()`
Factory method used to create the client set used by this hub service.
`ClientSet`
BasicHubService.`getClientSet()`
Returns the structure which keeps track of registered clients.